Package org.opensaml.xmlsec.encryption.impl

# Class DHKeyValueImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.DHKeyValueImpl

All Implemented Interfaces:
  `XMLObject`, `DHKeyValue`

public class DHKeyValueImpl extends AbstractXMLObject implements DHKeyValue
Concrete implementation of `DHKeyValue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Generator`
`generator`
Generator child element.
`private P`
`p`
P child element.
`private PgenCounter`
`pgenCounter`
pgenCounter child element.
`private Public`
`publicChild`
Public element.
`private Q`
`q`
Q child element.
`private Seed`
`seed`
seed child element.

### Fields inherited from interface org.opensaml.xmlsec.encryption.DHKeyValue

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DHKeyValueImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Generator`
`getGenerator()`
Get the Generator child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`P`
`getP()`
Get the P child element.
`PgenCounter`
`getPgenCounter()`
Get the pgenCounter element.
`Public`
`getPublic()`
Get the Public element.
`Q`
`getQ()`
Get the Q child element.
`Seed`
`getSeed()`
Get the seed element.
`void`
`setGenerator(Generator newGenerator)`
Set the G child element.
`void`
`setP(P newP)`
Set the P child element.
`void`
`setPgenCounter(PgenCounter newPgenCounter)`
Set the pgenCounter element.
`void`
`setPublic(Public newPublic)`
Set the Public element.
`void`
`setQ(Q newQ)`
Set the Q child element.
`void`
`setSeed(Seed newSeed)`
Set the seed element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### p

@Nullable private P p
P child element.

### q

@Nullable private Q q
Q child element.

### generator

@Nullable private Generator generator
Generator child element.

### publicChild

@Nullable private Public publicChild
Public element.

### seed

@Nullable private Seed seed
seed child element.

### pgenCounter

@Nullable private PgenCounter pgenCounter
pgenCounter child element.

## Constructor Details

### DHKeyValueImpl

protected DHKeyValueImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getP

@Nullable public P getP()
Get the P child element.

Specified by:
  `getP` in interface `DHKeyValue`
Returns:
  the P child element

### setP

public void setP(@Nullable P newP)
Set the P child element.

Specified by:
  `setP` in interface `DHKeyValue`
Parameters:
  `newP` - the new P child element

### getQ

@Nullable public Q getQ()
Get the Q child element.

Specified by:
  `getQ` in interface `DHKeyValue`
Returns:
  the Q child element

### setQ

public void setQ(@Nullable Q newQ)
Set the Q child element.

Specified by:
  `setQ` in interface `DHKeyValue`
Parameters:
  `newQ` - the new Q child element

### getGenerator

@Nullable public Generator getGenerator()
Get the Generator child element.

Specified by:
  `getGenerator` in interface `DHKeyValue`
Returns:
  the Generator child element

### setGenerator

public void setGenerator(@Nullable Generator newGenerator)
Set the G child element.

Specified by:
  `setGenerator` in interface `DHKeyValue`
Parameters:
  `newGenerator` - the new G child element

### getPublic

@Nullable public Public getPublic()
Get the Public element.

Specified by:
  `getPublic` in interface `DHKeyValue`
Returns:
  the Public element

### setPublic

public void setPublic(@Nullable Public newPublic)
Set the Public element.

Specified by:
  `setPublic` in interface `DHKeyValue`
Parameters:
  `newPublic` - the new Public child element

### getSeed

@Nullable public Seed getSeed()
Get the seed element.

Specified by:
  `getSeed` in interface `DHKeyValue`
Returns:
  the seed element

### setSeed

public void setSeed(@Nullable Seed newSeed)
Set the seed element.

Specified by:
  `setSeed` in interface `DHKeyValue`
Parameters:
  `newSeed` - new seed element

### getPgenCounter

@Nullable public PgenCounter getPgenCounter()
Get the pgenCounter element.

Specified by:
  `getPgenCounter` in interface `DHKeyValue`
Returns:
  the pgenCounter element

### setPgenCounter

public void setPgenCounter(@Nullable PgenCounter newPgenCounter)
Set the pgenCounter element.

Specified by:
  `setPgenCounter` in interface `DHKeyValue`
Parameters:
  `newPgenCounter` - new pgenCounter element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements